<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:app="http://schemas.android.com/apk/res-auto">

    <data>

        <variable
            name="viewModel"
            type="com.aveplus.avepay_cpocket.music.main.localmusic.ItemArtistVM" />
    </data>

    <RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:background="@drawable/effect_ripple_rectange"
        android:clickable="true"
        android:onClick="@{viewModel::onClick}"
        android:paddingLeft="@dimen/dimen_1x"
        android:paddingBottom="@dimen/dimen_1x">

        <ImageView
            android:id="@+id/imgThumb"
            android:layout_width="@dimen/width_image_song"
            android:layout_height="@dimen/high_image_song"
            android:layout_centerVertical="true"
            android:layout_marginRight="@dimen/dimen_1x"
            app:url="@{viewModel.image}" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_centerVertical="true"
            android:layout_marginRight="@dimen/dimen_2x"
            android:layout_toLeftOf="@+id/btn_action"
            android:layout_toRightOf="@id/imgThumb"
            android:gravity="top|bottom|center_vertical|fill_vertical|center|fill"
            android:orientation="vertical">

            <TextView
                android:id="@+id/tv_title"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:maxLines="1"
                android:text="@{viewModel.name}"
                android:textColor="@color/white"
                android:textSize="@dimen/text_size_normal" />

            <TextView
                android:id="@+id/tv_artist"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@{viewModel.itemCount}"
                android:textColor="@color/textColorSecondary"
                android:textSize="@dimen/text_size_small" />
        </LinearLayout>
    </RelativeLayout>
</layout>
